;       Last change    August 1993
(in-package meta)
;                 ENTRY Routines

(defun enter (netname lit negp pred arglist &aux
		      (item (car arglist))) 
  (declare (ignore lit netname))
  (unless (or (null arglist)
	      (not (symbolp pred))
	      negp
	      )
	  (when (and (symbolp item)
		     (null (cdr arglist)))
		; add pred as a property of the argument
		(if (traced-p 'epilog::meta-entry)
		    (print-line "    Meta-specialist: Adding property " pred " to " 
				item))
		(change-property item pred t)
		)
      )
  )

